package com.caimei.modules.homepage.dao;

import com.caimei.modules.homepage.enity.BackProduct;
import com.caimei.modules.homepage.enity.Banner;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zzj
 */
@Mapper
public interface BannerDao {

    List<Banner> findBannerList(Banner banner);

    void insertBanner(Banner banner);

    void updateBanner(Banner banner);

    void checkBannerStatus(Integer id);

    void delBanner(Integer id);

    Banner findBannerById(Integer id);

    void updateSort(@Param("id") Integer id, @Param("sort") Integer sort, @Param("status") Integer status);

    List<BackProduct> findProducts(Integer jumpProductId);
}
