package com.caimei.modules.homepage.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.caimei.modules.homepage.enity.BackProduct;
import com.caimei.modules.homepage.enity.Floor;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * @author zzj
 */
@Mapper
public interface FloorDao extends BaseMapper<Floor> {

    void checkStatus(Integer id);

    List<Floor> findList(Floor floor);

    List<BackProduct> findProducts(Integer id);

    void insertFloor(Floor floor);

    void insertFloorProduct(Integer id, Integer productId, Integer sort);

    void delProduct(Integer id);
}
