package com.caimei.modules.homepage.enity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zzj
 * 楼层
 */
@Data
@TableName(value = "cm_mall_floor")
public class Floor implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    @TableField(value = "organizeId")
    private Integer organizeId;
    /**
     * 楼层标题
     */
    @TableField(value = "topic")
    private String topic;
    @TableField(value = "sort")
    private Integer sort;
    @TableField(value = "enabledStatus")
    private Integer enabledStatus;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "addTime")
    private Date addTime;
    /**
     * 回显商品
     */
    @TableField(exist = false)
    private List<BackProduct> products;
}
