package com.caimei.modules.homepage.service;

import com.caimei.modules.club.entity.Page;
import com.caimei.modules.homepage.enity.*;
import com.caimei.utils.ResponseJson;


/**
 * @author zzj
 */
public interface PageService {

    Page<Banner> findBannerList(Banner banner, Page page);

    ResponseJson saveBanner(Banner banner);

    ResponseJson checkStatus(Integer id);

    ResponseJson deleteBanner(Integer id);

    ResponseJson saveMenu(MainMenu menu);

    Page<MainMenu> findMenuList(MainMenu menu, Page page);

    ResponseJson checkMenuStatus(Integer id);

    ResponseJson deleteMenu(Integer id);

    ResponseJson saveActive(Active active);

    Page<Active> findActiveList(Active active, Page page);

    ResponseJson checkActiveStatus(Integer id);

    ResponseJson delActive(Integer id);

    Banner findBannerById(Integer id);

    MainMenu findMenuById(Integer id);

    Page<Theme> findThemeList(Theme theme, Page page);

    ResponseJson checkThemeStatus(Integer id);

    ResponseJson saveTheme(Theme theme);

    ResponseJson delTheme(Integer id);

    Theme themeForm(Integer id);

    Active activeForm(Integer id);

    ResponseJson sortChange(Integer id, Integer sort, Integer i);

    ResponseJson saveFloor(Floor floor);

    ResponseJson delFloor(Integer id);

    ResponseJson checkFloorStatus(Integer id);

    Page<Floor> findFloorList(Floor floor, Page page);

    Floor floorForm(Integer id);
}
