package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CmDiscernReceiptDao {

    List<Integer> findRebateOrderId(@Param("orderIds") List<Integer> collect);

    Double findOrderReceipt(Integer orderId);

    List<ReceiptVo> findReceiptList(ReceiptVo receiptVo);

    ReceiptDetail findReceiptDetail(Integer id);

    List<ReceiptOrderInfo> findReceiptOrder(Integer orderId);

    List<OrderRelationRecord> findOrderRelation(Integer receiptId);

    List<NewShopOrder> findReceiptShopOrder(@Param("orderId") Integer orderId,@Param("shopOrderId")Integer shopOrderId);

    Double findShoOrderIDReceipt(@Param("shopOrderID") Integer orderID);

    List<ReceiptPayType> findReceiptType();

    List<String> findOrderIds(Integer id);

    List<String> hasReceiptRecordOrder(String orderId, Integer id);

    void insertOrderReceipt(ReceiptVo receiptVo);

    void insertOrderRelation(OrderRelationRecord record);

    List<ReceiptPayType> findPayType();
}
