package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.NewOrderProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface NewOrderProductDao {

    NewOrderProduct get(Integer orderProductId);

    List<NewOrderProduct> findListByShopOrderId(Integer shopOrderId);
    
    Integer CountReturnedPurchaseProduct(@Param("shopOrderID") Integer shopOrderID, @Param("orderProductID") Integer orderProductID);

    Integer getReturningNum(Integer orderProductId);

    Integer getReturnedNum(Integer orderProductId);

    Integer getReceivedNum(Integer orderProductId);

    List<NewOrderProduct> findListByOrderId(Integer orderId);

    Integer getActualCancelNum(Integer orderProductId);
}
