package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "物流展示的VO")
public class LogisticsInfoVo {

    @ApiModelProperty("物流批次")
    private LogisticsBatch logisticsBatch;

    @ApiModelProperty("一批物流 对多个货物")
    private List<LogisticsRecord> logisticsRecordList;

    @ApiModelProperty("一批物流对多个快递记录")
    private List<LogisticsInformation> logisticsInformationList;
}
