package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @author zzj
 */
@ApiModel(description = "oss文件")
@Data
public class OssFile implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("文件id")
    private Integer id;

    private Integer orderId;

    @ApiModelProperty("文字备注ID")
    private Integer remarkId;

    @ApiModelProperty("文件名称")
    private String name;

    @ApiModelProperty("oss存储名")
    private String ossName;

    @ApiModelProperty("文件唯一标识")
    private String md5Hex;

    @ApiModelProperty("上传时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String uploadTime;
}
