package com.caimei.modules.order.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zzj
 */
@ApiModel(description = "退款记录")
@Data
public class ReturnRecord  implements Serializable {

    @ApiModelProperty("退款记录Id")
    private Integer id;
    @ApiModelProperty("退款时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String returnTime;
    @ApiModelProperty("退款方式")
    private String returnWay;
    @ApiModelProperty("退款金额")
    private Double amount;
}
