package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zzj
 */
@ApiModel(description = "快递物流信息")
@Data
public class Transportation {

    @ApiModelProperty("物流公司名称")
    private String logisticsCompanyName;

    @ApiModelProperty("物流公司代码")
    private String logisticsCompanyCode;

    @ApiModelProperty("物流单号")
    private List<LogisticsNum> logisticsNu;
}
