package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 * @author zzj
 */
@ApiModel("线下支付凭证")
@Data
public class Voucher implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("凭证Id")
    private Integer id;
    private Integer orderId;
    @ApiModelProperty("备注")
    private String remarks;
    @ApiModelProperty("添加时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String addTime;
    private List<String> images;
}
