package com.caimei.modules.shiro.entity;

import lombok.Data;

import java.util.Date;
import java.util.Set;

@Data
public class CmMallAdminUser {
    private Integer id;
    /**
     * 登录名
     */
    private String account;
    /**
     * 账号名称
     */
    private String accountName;
    /**
     * 密码
     */
    private String password;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 排序
     */
    private String salt;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 添加时间回显
     */
    private String newAddTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 更新时间回显
     */
    private String newUpdateTime;
    private Set<Role> roles;
    /**
     * 确认密码
     */
    private String oldPassword;
    /**
     * 0 有效  其它无效
     */
    private String delFlag;
    /**
     * 人员类型：1 管理员 2普通人员
     */
    private Integer personnelType;
    /**
     * 状态 1 已上线 2 已下线
     */
    private Integer status;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
}
