package com.caimei.modules.homepage.enity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zzj
 */
@Data
@TableName(value = "cm_mall_theme")
public class Theme implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    @TableField(value = "organizeId")
    private Integer organizeId;
    @TableField(value = "topic")
    private String topic;
    @TableField(value = "enabledStatus")
    private Integer enabledStatus;
    @TableField(value = "image")
    private String image;
    @TableField(value = "jumpType")
    private Integer jumpType;
    @TableField(value = "jumpProductId")
    private Integer jumpProductId;
    @TableField(value = "jumpActiveId")
    private Integer jumpActiveId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "addTime")
    private Date addTime;
    @TableField(exist = false)
    private List<BackProduct> products;
}
