package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.CmReturnedPurchase;
import com.caimei.modules.order.entity.NewShopOrder;
import com.caimei.modules.order.entity.ReturnRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CmReturnedPurchaseDao {

    List<Integer> findOrderIdInReturnPurchase(@Param("orderIds") List<Integer> oId);

    List<Integer> findOrderIdsInApplyReturnFlag(@Param("orderIds") List<Integer> oId);

    List<CmReturnedPurchase> findList(CmReturnedPurchase cmReturnedPurchase);

    Double findSumReturn(Integer orderId);

    CmReturnedPurchase get(Integer id);

    List<NewShopOrder> findReturnShopOrder(Integer id);

    List<Integer> findReturnIds(Integer orderId);

    List<ReturnRecord> findRecordByShopOrder(Integer shopOrderId);

    int updateRevokeApply(CmReturnedPurchase cmReturnedPurchase);

    List<CmReturnedPurchase> findReturnedPurchaseRecord(CmReturnedPurchase item);
}
