package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zzj
 */
@ApiModel(description = "应付供应商修改成本记录")
@Data
public class PayChangeRecord implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty("1原始记录，2修改记录")
    private String recordType;
    private Integer orderId;
    private Integer shopOrderId;
    @ApiModelProperty("付供应商运费")
    private Double shopPostFee;
    @ApiModelProperty("修改应付金额的用户ID")
    private Integer modifyShouldPayUserId;



}
