package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zzj
 */
@ApiModel("付款审核对象")
@Data
public class PayCheckDto {

    @ApiModelProperty("付款单Id")
    private Integer id;
    @ApiModelProperty("付款方式")
    private Integer payType;
    @ApiModelProperty("1审核通过/2审核不通过")
    private Integer passCode;
    @ApiModelProperty("审核不通过原因")
    private String reason;
}
