package com.caimei.modules.order.service;

import com.caimei.modules.order.entity.CmOrderRemark;
import com.caimei.utils.ResponseJson;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface CmOrderRemarkService {

    List<CmOrderRemark> findList(Integer orderId);

    void insertRemark(CmOrderRemark remark);

    ResponseJson<Map<String, Object>> upload(MultipartFile file, Integer orderId);

    void downFile(Integer fileId, HttpServletRequest request, HttpServletResponse response) throws IOException;
}
