package com.caimei.modules.order.service;

import com.caimei.modules.order.entity.CompanyVo;
import com.caimei.modules.order.entity.DeliverDto;
import com.caimei.modules.order.entity.LogisticsInfoVo;
import com.caimei.modules.order.entity.NewOrder;
import com.caimei.utils.ResponseJson;

import java.util.List;


/**
 * @author zzj
 */
public interface OrderDeliverService {

    NewOrder toDeliver(Integer orderId);

    ResponseJson confirmDeliver(DeliverDto dto);

    ResponseJson<List<LogisticsInfoVo>> findDetails(Integer orderId,Integer shopOrderId);

    ResponseJson<List<CompanyVo>> getLogisticsCompany(String value);
}
