package com.caimei.modules.order.service.impl;

import com.caimei.modules.order.dao.*;
import com.caimei.modules.order.entity.*;
import com.caimei.modules.order.service.NewShopOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class NewShopOrderServiceImpl implements NewShopOrderService {

    @Resource
    private NewShopOrderDao newShopOrderDao;
    @Resource
    private NewOrderProductDao newOrderProductDao;

    @Override
    public NewShopOrder findByShopOrderId(Integer shopOrderId) {
        NewShopOrder shopOrder = newShopOrderDao.findByShopOrderId(shopOrderId);
        List<NewOrderProduct> list = newOrderProductDao.findListByShopOrderId(shopOrder.getShopOrderId());
        shopOrder.setNewOrderProducts(list);
        return shopOrder;
    }
}
