package com.caimei.modules.products.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.io.Serializable;
import java.util.Date;

/**
 * 小程序商品分类Entity
 */
@Data
public class CmMallProductsClassify implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String organizeId;        // 分类归属组织ID,具体对应cm_mall_organize表ID
    private String classifyName;        // 分类名称
    private String classifyImage;        // 分类图标
    private String sort;        // 排序
    private String status;        // 状态：1启用,2停用
    private Date addTime;        // 添加时间
    private Date updateTime;        // 更新时间
    private String containsProduct;//是否包含商品，1包含商品，其它为不包含商品
    private String postageToPay;  //邮费是否到付:1是，2否[是为到付，否为不到付并非包邮具体是否包邮参考邮费规则]
    private String delFlag;
}